﻿/*==============================================================================
 * Author:深度训练
 * Create time: 2013-07-08
 * Blog Address:http://www.cnblogs.com/wangiqngpei557/
 * Author Description:特定领域软件工程实践；
 * ==============================================================================*/

namespace Domain.DomainModel.ExaminationModule.Aggregates.EmployeeAgg
{
    using System;

    public static class EmployeeFactory
    {
        public static Employee CreateEmployee(string employeeName, Employee_Marry IsMarry, int age,
            Employee_Switch isSwitch = Employee_Switch.IsFalse, Employee_Role role = Employee_Role.Teacher,
            Employee_Sex sex = Employee_Sex.Female)
        {
            Employee emp = new Employee()
            {
                EName = employeeName,
                IsMarry = IsMarry,
                SWitch = isSwitch,
                Age = age,
                EmpRole = role,
                Sex = sex,
                EID = Guid.NewGuid().ToString(),
                UserName = employeeName
            };
            emp.Reinitial();
            return emp;
        }
    }
}
