/*==============================================================================
 * Author:深度训练
 * Create time: 2013-07-08
 * Blog Address:http://www.cnblogs.com/wangiqngpei557/
 * Author Description:特定领域软件工程实践；
 * ==============================================================================*/

namespace Domain.DomainModel.ExaminationModule.Aggregates.FieldExaminationAgg
{
    using System;
    using System.Collections.Generic;
    
    public partial class FieldExaminationtypeModel
    {
        public FieldExaminationtypeModel()
        {
            this.FieldExamination = new HashSet<FieldExamination>();
            this.TestBook = new HashSet<TestBook>();
        }
    
        public string FEMID { get; set; }
        public string ECID { get; set; }
        public Nullable<System.DateTime> BeginTime { get; set; }
        public Nullable<System.DateTime> EndTime { get; set; }
        public string Desc { get; set; }
    
        public virtual ExaminationCategory ExaminationCategory { get; set; }
        public virtual ICollection<FieldExamination> FieldExamination { get; set; }
        public virtual ICollection<TestBook> TestBook { get; set; }
    }
}
