/*==============================================================================
 * Author:深度训练
 * Create time: 2013-07-08
 * Blog Address:http://www.cnblogs.com/wangiqngpei557/
 * Author Description:特定领域软件工程实践；
 * ==============================================================================*/

namespace Domain.DomainModel.ExaminationModule.Aggregates.StudentAgg
{
    using System;
    using System.Collections.Generic;
    using Domain.DomainModel.ExaminationModule.Aggregates.GroundAgg;
    using Domain.DomainModel.ApproveModule.Aggregates.SubmitExamiValueAgg;

    public partial class Student
    {
        public Student()
        {
            this.StudentExaminationCode = new HashSet<StudentExaminationCode>();
            this.SubmitExaminationValue = new HashSet<SubmitExaminationValue>();
        }

        public string SID { get; set; }
        public string SName { get; set; }
        public Nullable<int> Age { get; set; }
        public Nullable<int> Sex_Type { get; set; }
        public string SNO { get; set; }
        public string UserName { get; set; }
        public string Password { get; set; }
        public Nullable<int> Switch { get; set; }
        public string Class_principal { get; set; }

        public virtual ICollection<StudentExaminationCode> StudentExaminationCode { get; set; }
        public virtual ICollection<SubmitExaminationValue> SubmitExaminationValue { get; set; }
    }
}
