﻿/*==============================================================================
 * Author:深度训练
 * Create time: 2013-07-08
 * Blog Address:http://www.cnblogs.com/wangiqngpei557/
 * Author Description:特定领域软件工程实践；
 * ==============================================================================*/

namespace Domain.DomainModel.ExaminationModule.Aggregates.EmployeeAgg
{
    using Domain.Seedwork.Specification;

    public static class EmployeeSpecification
    {
        public static ISpecification<Employee> CheckEmployeeLogin(string userName, string password)
        {
            Specification<Employee> specification = new TrueSpecification<Employee>();
            if (!string.IsNullOrEmpty(userName) && !string.IsNullOrEmpty(password))
            {
                specification = new DirectSpecification<Employee>(
                        (employee) => employee.UserName.Equals(userName) && employee.PassWord.Equals(password));
            }
            return specification;
        }

    }
}
